from sqlalchemy import MetaData, Table, Numeric, Integer

table_name = 'tmccatalog'

# если использовать views_helper.getTables, то тест test_incorrect_migrate.py завалится, т.к. условие для его прохождения - разница в количестве полей в таблице
# в этой миграции нет добалвения полей, а только alter
def getTables(meta, table_name):
    return [Table(table_name + "1", meta, autoload=True), Table(table_name + "2", meta, autoload=True)]

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    for tbl in getTables(meta, table_name):
        tbl.c.mincount.alter(type=Numeric(13, 2))
        tbl.c.maxcount.alter(type=Numeric(13, 2))


def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    for tbl in getTables(meta, table_name):
        tbl.c.mincount.alter(type=Integer)
        tbl.c.maxcount.alter(type=Integer)
